JavaScript
import Stigg from '@stigg/typescript';
const client = new Stigg({
apiKey: process.env['STIGG_API_KEY'], // This is the default and can be omitted
});
const cancelSubscription = await client.v1.subscriptions.futureUpdate.cancelPendingPayment('x');
console.log(cancelSubscription.data);import os
from stigg import Stigg
client = Stigg(
api_key=os.environ.get("STIGG_API_KEY"), # This is the default and can be omitted
)
cancel_subscription = client.v1.subscriptions.future_update.cancel_pending_payment(
id="x",
)
print(cancel_subscription.data)package main
import (
"context"
"fmt"
"github.com/stiggio/stigg-go"
"github.com/stiggio/stigg-go/option"
)
func main() {
client := stigg.NewClient(
option.WithAPIKey("My API Key"),
)
cancelSubscription, err := client.V1.Subscriptions.FutureUpdate.CancelPendingPayment(
context.TODO(),
"x",
stigg.V1SubscriptionFutureUpdateCancelPendingPaymentParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", cancelSubscription.Data)
}package io.stigg.example;
import io.stigg.client.StiggClient;
import io.stigg.client.okhttp.StiggOkHttpClient;
import io.stigg.models.v1.subscriptions.futureupdate.CancelSubscription;
import io.stigg.models.v1.subscriptions.futureupdate.FutureUpdateCancelPendingPaymentParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
StiggClient client = StiggOkHttpClient.fromEnv();
CancelSubscription cancelSubscription = client.v1().subscriptions().futureUpdate().cancelPendingPayment("x");
}
}require "stigg"
stigg = Stigg::Client.new(api_key: "My API Key")
cancel_subscription = stigg.v1.subscriptions.future_update.cancel_pending_payment("x")
puts(cancel_subscription)using System;
using Stigg.Client;
using Stigg.Client.Models.V1.Subscriptions.FutureUpdate;
StiggClient client = new();
FutureUpdateCancelPendingPaymentParams parameters = new() { ID = "x" };
var cancelSubscription = await client.V1.Subscriptions.FutureUpdate.CancelPendingPayment(parameters);
Console.WriteLine(cancelSubscription);stigg v1:subscriptions:future-update cancel-pending-payment \
--api-key 'My API Key' \
--id xcurl --request DELETE \
--url https://api.stigg.io/api/v1/subscriptions/{id}/future-update/pending-payment \
--header 'X-API-KEY: <api-key>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stigg.io/api/v1/subscriptions/{id}/future-update/pending-payment",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": "<string>"
}
}{
"message": "<string>"
}{
"message": "<string>",
"code": "Unauthenticated"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"code": "RateLimitExceeded"
}Subscriptions
Cancel pending payment update
Cancels a subscription update that is pending payment completion.
DELETE
/
api
/
v1
/
subscriptions
/
{id}
/
future-update
/
pending-payment
JavaScript
import Stigg from '@stigg/typescript';
const client = new Stigg({
apiKey: process.env['STIGG_API_KEY'], // This is the default and can be omitted
});
const cancelSubscription = await client.v1.subscriptions.futureUpdate.cancelPendingPayment('x');
console.log(cancelSubscription.data);import os
from stigg import Stigg
client = Stigg(
api_key=os.environ.get("STIGG_API_KEY"), # This is the default and can be omitted
)
cancel_subscription = client.v1.subscriptions.future_update.cancel_pending_payment(
id="x",
)
print(cancel_subscription.data)package main
import (
"context"
"fmt"
"github.com/stiggio/stigg-go"
"github.com/stiggio/stigg-go/option"
)
func main() {
client := stigg.NewClient(
option.WithAPIKey("My API Key"),
)
cancelSubscription, err := client.V1.Subscriptions.FutureUpdate.CancelPendingPayment(
context.TODO(),
"x",
stigg.V1SubscriptionFutureUpdateCancelPendingPaymentParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", cancelSubscription.Data)
}package io.stigg.example;
import io.stigg.client.StiggClient;
import io.stigg.client.okhttp.StiggOkHttpClient;
import io.stigg.models.v1.subscriptions.futureupdate.CancelSubscription;
import io.stigg.models.v1.subscriptions.futureupdate.FutureUpdateCancelPendingPaymentParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
StiggClient client = StiggOkHttpClient.fromEnv();
CancelSubscription cancelSubscription = client.v1().subscriptions().futureUpdate().cancelPendingPayment("x");
}
}require "stigg"
stigg = Stigg::Client.new(api_key: "My API Key")
cancel_subscription = stigg.v1.subscriptions.future_update.cancel_pending_payment("x")
puts(cancel_subscription)using System;
using Stigg.Client;
using Stigg.Client.Models.V1.Subscriptions.FutureUpdate;
StiggClient client = new();
FutureUpdateCancelPendingPaymentParams parameters = new() { ID = "x" };
var cancelSubscription = await client.V1.Subscriptions.FutureUpdate.CancelPendingPayment(parameters);
Console.WriteLine(cancelSubscription);stigg v1:subscriptions:future-update cancel-pending-payment \
--api-key 'My API Key' \
--id xAuthorizations
Server API Key
Headers
Account ID — optional when authenticating with a user JWT (Bearer token); falls back to the user's first membership. Ignored for API-key auth.
Environment ID — required when authenticating with a user JWT (Bearer token) on environment-scoped endpoints. Ignored for API-key auth (env is intrinsic to the key).
Path Parameters
The unique identifier of the entity
Required string length:
1 - 255Response
Confirmation of the canceled pending payment update.
Response object
Show child attributes
Show child attributes
⌘I
